PrompticPromptic

Get the deployed prompt for a component

GET
/components/{componentId}/deployment/prompt

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from workspace settings

In: header

Path Parameters

componentId*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08/deployment/prompt"
{
  "prompt": "string",
  "promptMessages": [
    {
      "role": "string",
      "content": "string"
    }
  ],
  "promptFormat": "string",
  "model": "string",
  "provider": "string",
  "componentId": "616ccd92-d666-4180-8349-8d125b269fac",
  "componentName": "string",
  "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006",
  "iterationId": 0,
  "score": 0,
  "schemaSnapshot": null
}
{
  "error": "string"
}
{
  "error": "string"
}